# -*- encoding: utf-8 -*-
# stub: sinja 1.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sinja".freeze
  s.version = "1.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mike Pastore".freeze]
  s.date = "2017-10-27"
  s.description = "Sinja is a Sinatra extension for quickly building RESTful,\n{json:api}-compliant web services, leveraging the excellent\nJSONAPI::Serializers gem for payload serialization. It enhances Sinatra's\nDSL to enable resource-, relationship-, and role-centric API development,\nand it configures Sinatra with the proper settings, MIME-types, filters,\nconditions, and error-handling.\n\nThere are many parsing (deserializing), rendering (serializing), and other\n\"JSON API\" libraries available for Ruby, but relatively few that attempt to\ncorrectly implement the entire {json:api} server specification, including\nrouting, request header and query parameter checking, and relationship\nside-loading. Sinja lets you focus on the business logic of your\napplications without worrying about the specification, and without pulling\nin a heavy framework like Rails. It's lightweight, ORM-agnostic, and\nEmber.js-friendly!\n".freeze
  s.email = ["mike@oobak.org".freeze]
  s.homepage = "http://sinja-rb.org".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "RESTful, {json:api}-compliant web services in Sinatra".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, [">= 4.2.8", "< 6"])
    s.add_runtime_dependency(%q<json>.freeze, [">= 1.8.3", "< 3"])
    s.add_runtime_dependency(%q<jsonapi-serializers>.freeze, [">= 0.16.2", "< 2"])
    s.add_runtime_dependency(%q<sinatra>.freeze, [">= 2.0.0.rc1", "< 3"])
    s.add_runtime_dependency(%q<sinatra-contrib>.freeze, [">= 2.0.0.rc1", "< 3"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.9"])
    s.add_development_dependency(%q<minitest-hooks>.freeze, ["~> 1.4"])
    s.add_development_dependency(%q<rack-test>.freeze, ["~> 0.7.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<sequel>.freeze, [">= 4.49", "< 6"])
    s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.3"])
  else
    s.add_dependency(%q<activesupport>.freeze, [">= 4.2.8", "< 6"])
    s.add_dependency(%q<json>.freeze, [">= 1.8.3", "< 3"])
    s.add_dependency(%q<jsonapi-serializers>.freeze, [">= 0.16.2", "< 2"])
    s.add_dependency(%q<sinatra>.freeze, [">= 2.0.0.rc1", "< 3"])
    s.add_dependency(%q<sinatra-contrib>.freeze, [">= 2.0.0.rc1", "< 3"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.9"])
    s.add_dependency(%q<minitest-hooks>.freeze, ["~> 1.4"])
    s.add_dependency(%q<rack-test>.freeze, ["~> 0.7.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<sequel>.freeze, [">= 4.49", "< 6"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.3"])
  end
end
